> ## Documentation Index
> Fetch the complete documentation index at: https://docs.langchain.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke All Slack Tokens For Workspace

> Revoke ALL Slack tokens for the workspace. Admin-only action that disconnects Slack entirely.

This is a destructive operation that:
- Revokes all Slack tokens on Slack's side for all users in the workspace
- Deletes all Slack tokens from the database



## OpenAPI

````yaml https://api.host.langchain.com/openapi.json delete /v2/auth/tokens/workspace/slack
openapi: 3.1.0
info:
  title: LangSmith Deployment Control Plane API
  description: >
    The LangSmith Deployment Control Plane API is used to programmatically
    create and manage

    Agent Server deployments. For example, the APIs can be orchestrated to

    create custom CI/CD workflows.


    ## Host

    https://api.host.langchain.com


    ## Authentication

    To authenticate with the LangSmith Deployment Control Plane API, set the
    `X-Api-Key` header

    to a valid [LangSmith API
    key](https://docs.langchain.com/langsmith/create-account-api-key#create-an-api-key).


    ## Versioning

    Each endpoint path is prefixed with a version (e.g. `v1`, `v2`).


    ## Quick Start

    1. Call `POST /v2/deployments` to create a new Deployment. The response body
    contains the Deployment ID (`id`) and the ID of the latest (and first)
    revision (`latest_revision_id`).

    1. Call `GET /v2/deployments/{deployment_id}` to retrieve the Deployment.
    Set `deployment_id` in the URL to the value of Deployment ID (`id`).

    1. Poll for revision `status` until `status` is `DEPLOYED` by calling `GET
    /v2/deployments/{deployment_id}/revisions/{latest_revision_id}`.

    1. Call `PATCH /v2/deployments/{deployment_id}` to update the deployment.
  version: 0.1.0
servers: []
security: []
paths:
  /v2/auth/tokens/workspace/slack:
    delete:
      tags:
        - Auth Service (v2)
      summary: Revoke All Slack Tokens For Workspace
      description: >-
        Revoke ALL Slack tokens for the workspace. Admin-only action that
        disconnects Slack entirely.


        This is a destructive operation that:

        - Revokes all Slack tokens on Slack's side for all users in the
        workspace

        - Deletes all Slack tokens from the database
      operationId: >-
        revoke_all_slack_tokens_for_workspace_v2_auth_tokens_workspace_slack_delete
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - API Key: []
        - Tenant ID: []
        - Bearer Auth: []
components: {}

````